<?php
/**
 * Created by PhpStorm.
 * User: pejot
 * Date: 2015-03-08
 * Time: 22:39
 */
global $ankieta;
global $data;
global $page;
$ankieta->writeGap();

$ankieta->writeGap();
//$ankieta->writeHeader("REKRUT");
//$ankieta->writeGap();

//[^uncheckById(["P2","P3","P4","P5"])^]
//[^showOrClean(input,["P2","P3","P4","P5","P6"])^]
//[^clean(["P2","P3","P4","P5","P6"])^]
//[^showOrClean($("input[name=P1]"),["P2"])^]

$wiekPr=$ankieta->getValue("WIEKPR");
$wiekLabs=$ankieta->getLabels("WIEKPR");
$wiekLab=explode("-",$wiekLabs[$wiekPr]);
$wiekMin=$wiekLab[0];
$wiekMax=$wiekLab[1];


$answers=array();
$answers[1]='Ja, sam[a|]';
$answers[2]='Ja razem z inną osobą w gospodarstwie domowym';
$answers[3]='Nie ja, ktoś inny w gospodarstwie domowym';
$ankieta->writeRadio('S1','Kto w Pani gospodarstwie domowym jest odpowiedzialny za codzienne zakupy spożywcze?',$answers,true,@clean($data['S1']));


$answers=array();
$answers[1]='Ja, sam[a|]';
$answers[2]='Ja razem z inną osobą w gospodarstwie domowym';
$answers[3]='Nie ja, ktoś inny w gospodarstwie domowym';
$ankieta->writeRadio('S1a','Kto w Pani gospodarstwie domowym jest odpowiedzialny za gotowanie, przygotowywanie posiłków?',$answers,true,@clean($data['S1a']));


$answers=array();
$answers[1]="kilka razy dziennie";
$answers[2]="raz dziennie ";
$answers[3]="5-6 razy w tygodniu";
$answers[4]="3-4 razy w tygodniu";
$answers[5]="2 razy w tygodniu";
$answers[6]="raz w tygodniu";
$answers[7]="raz na dwa tygodnie";
$answers[8]="raz na miesiąc lub rzadziej";
$ankieta->writeRadio('S1b','Jak często Pani gotuje? ',$answers,true,@clean($data['S1b']));


?>

<script type="text/javascript">

    $(document).ready(function() {
       disableButtons("[name=" + "WIEK" + "]");
    });

    function preSubmit() {
        var ret=checkMinMax('S3');
        if (ret) {enableButtons("[name=" + "WIEK" + "]");}

    }

    function checkMinMax(id) {
        var el = $("input[id='" + id +"']");
        var value=parseFloat(el.val(),10);
        if (value <<?php print $wiekMin;?> || value ><?php print $wiekMax;?>) {
            console.log('bad value ',value);
            el.val('');

            return false;
        }
        return true;
    }

    function recodeAge() {
        console.log('recodeAge');
        var el = $("input[id='" + "S3" +"']");
        var value=parseFloat(el.val(),10);
        if (value<18) {selectRadio('WIEK',0);}
        if (value>=18 && value <=24) {selectRadio('WIEK',1);}
        if (value>=25 && value <=29) {selectRadio('WIEK',2);}
        if (value>=30 && value <=39) {selectRadio('WIEK',3);}
        if (value>=40 && value <=60) {selectRadio('WIEK',4);}
        if (value>=61) {selectRadio('WIEK',6);}
    }


    function doLogicS11(id) {
        console.log('doLogocS11');
        $("input[name='" + 'S6[]' +"']").each(function() {
            var idx=parseFloat($(this).val(),10);
            if ($(this).prop('checked')) {
                console.log('S6_' + idx + ' checked');
                hideCheckboxElement('S11_' + idx);
            } else {
                unHideCheckboxElement('S11_' + idx);
            }
        });

    }

</script>